libtiff: update to 4.3.0 and re-enable jbig

This commit is contained in:
Miloš Komarčević
2021-05-20 11:33:45 +02:00
parent e1a97686b4
commit cbdc252fa1
2 changed files with 41 additions and 6 deletions

View File

@@ -0,0 +1,32 @@
--- test/tiff2ps-EPS1.sh.orig 2021-03-05 14:01:43.000000000 +0100
+++ test/tiff2ps-EPS1.sh 2021-05-20 10:38:06.153946000 +0200
@@ -5,4 +5,4 @@
PSFILE=o-tiff2ps-EPS1.ps
. ${srcdir:-.}/common.sh
f_test_stdout "${TIFF2PS} -e -1" "${IMG_MINISWHITE_1C_1B}" "${PSFILE}"
-diff -I '%%CreationDate:.*' -I '%%Title:.*' -u "${REFS}/${PSFILE}" "${PSFILE}" || exit 1
+diff --strip-trailing-cr -I '%%CreationDate:.*' -I '%%Title:.*' -u "${REFS}/${PSFILE}" "${PSFILE}" || exit 1
--- test/tiff2ps-PS1.sh.orig 2021-03-05 14:01:43.000000000 +0100
+++ test/tiff2ps-PS1.sh 2021-05-20 10:38:40.989191000 +0200
@@ -6,4 +6,4 @@
. ${srcdir:-.}/common.sh
f_test_stdout "${TIFF2PS} -a -p -1" "${IMG_MINISWHITE_1C_1B}" "${PSFILE}"
#diff -I '%%(CreationDate|Title):.*' -u "${REFS}/${PSFILE}" "${PSFILE}" || exit 1
-diff -I '%%CreationDate:.*' -I '%%Title:.*' -u "${REFS}/${PSFILE}" "${PSFILE}" || exit 1
+diff --strip-trailing-cr -I '%%CreationDate:.*' -I '%%Title:.*' -u "${REFS}/${PSFILE}" "${PSFILE}" || exit 1
--- test/tiff2ps-PS2.sh.orig 2021-03-05 14:01:43.000000000 +0100
+++ test/tiff2ps-PS2.sh 2021-05-20 10:38:46.435907600 +0200
@@ -5,4 +5,4 @@
PSFILE=o-tiff2ps-PS2.ps
. ${srcdir:-.}/common.sh
f_test_stdout "${TIFF2PS} -a -p -2" "${IMG_MINISWHITE_1C_1B}" "${PSFILE}"
-diff -I '%%CreationDate:.*' -I '%%Title:.*' -u "${REFS}/${PSFILE}" "${PSFILE}" || exit 1
+diff --strip-trailing-cr -I '%%CreationDate:.*' -I '%%Title:.*' -u "${REFS}/${PSFILE}" "${PSFILE}" || exit 1
--- test/tiff2ps-PS3.sh.orig 2021-03-05 14:01:43.000000000 +0100
+++ test/tiff2ps-PS3.sh 2021-05-20 10:38:51.687517100 +0200
@@ -5,4 +5,4 @@
PSFILE=o-tiff2ps-PS3.ps
. ${srcdir:-.}/common.sh
f_test_stdout "${TIFF2PS} -a -p -3" "${IMG_MINISWHITE_1C_1B}" "${PSFILE}"
-diff -I '%%CreationDate:.*' -I '%%Title:.*' -u "${REFS}/${PSFILE}" "${PSFILE}" || exit 1
+diff --strip-trailing-cr -I '%%CreationDate:.*' -I '%%Title:.*' -u "${REFS}/${PSFILE}" "${PSFILE}" || exit 1

View File

@@ -4,15 +4,15 @@
_realname=libtiff
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=4.2.0
pkgrel=3
pkgver=4.3.0
pkgrel=1
pkgdesc="Library for manipulation of TIFF images (mingw-w64)"
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64')
url="http://www.simplesystems.org/libtiff/"
license=(MIT)
depends=("${MINGW_PACKAGE_PREFIX}-gcc-libs"
#"${MINGW_PACKAGE_PREFIX}-jbigkit"
"${MINGW_PACKAGE_PREFIX}-jbigkit"
"${MINGW_PACKAGE_PREFIX}-libjpeg-turbo"
"${MINGW_PACKAGE_PREFIX}-libdeflate"
"${MINGW_PACKAGE_PREFIX}-libwebp"
@@ -21,11 +21,14 @@ depends=("${MINGW_PACKAGE_PREFIX}-gcc-libs"
"${MINGW_PACKAGE_PREFIX}-zstd")
makedepends=("${MINGW_PACKAGE_PREFIX}-gcc")
options=('staticlibs' 'strip')
source=(http://download.osgeo.org/libtiff/tiff-${pkgver}.tar.gz)
sha256sums=('eb0484e568ead8fa23b513e9b0041df7e327f4ee2d22db5a533929dfc19633cb')
source=(http://download.osgeo.org/libtiff/tiff-${pkgver}.tar.gz
"0001-fix-test-newline.patch")
sha256sums=('0e46e5acb087ce7d1ac53cf4f56a09b221537fc86dfc5daaad1c2e89e1b37ac8'
'aacda67800bd9c4704761519876631c7309021d37594d72165361386547e9359')
prepare() {
cd tiff-${pkgver}
patch -p0 -i ../0001-fix-test-newline.patch
# autoreconf to get updated libtool files for clang support
autoreconf -fiv
}
@@ -45,7 +48,7 @@ build() {
--enable-static \
--enable-shared \
--enable-cxx \
--disable-jbig \
--enable-jbig \
--enable-webp \
--enable-libdeflate \
--without-x